OpenShot Audio Library | OpenShotAudio: juce::MPEZone Struct Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
juce::MPEZone Struct Reference

`#include <juce_MPEZoneLayout.h>`

## Public Types
enum class | Type { lower , upper }

## Public Member Functions
| MPEZone (Type type, int memberChannels=0, int perNotePitchbend=48, int masterPitchbend=2)
bool | isLowerZone () const noexcept
bool | isUpperZone () const noexcept
bool | isActive () const noexcept
int | getMasterChannel () const noexcept
int | getFirstMemberChannel () const noexcept
int | getLastMemberChannel () const noexcept
bool | isUsingChannelAsMemberChannel (int channel) const noexcept
bool | isUsing (int channel) const noexcept
bool | operator== (const MPEZone &other) const
bool | operator!= (const MPEZone &other) const

## Static Public Member Functions
static auto | tie (const MPEZone &z)

## Public Attributes
Type | zoneType = Type::lower
int | numMemberChannels = 0
int | perNotePitchbendRange = 48
int | masterPitchbendRange = 2

## Static Public Attributes
static constexpr int | lowerZoneMasterChannel = 1
static constexpr int | upperZoneMasterChannel = 16

## Detailed Description

This struct represents an MPE zone.

It can either be a lower or an upper zone, where:

- A lower zone encompasses master channel 1 and an arbitrary number of ascending MIDI channels, increasing from channel 2.
- An upper zone encompasses master channel 16 and an arbitrary number of descending MIDI channels, decreasing from channel 15.

It also defines a pitchbend range (in semitones) to be applied for per-note pitchbends and master pitchbends, respectively.

Definition at line 41 of file juce_MPEZoneLayout.h.

## Member Enumeration Documentation

## ◆ Type

enum class juce::MPEZone::Type
| strong

Definition at line 43 of file juce_MPEZoneLayout.h.

## Constructor & Destructor Documentation

## ◆ MPEZone()

juce::MPEZone::MPEZone | ( | Type | type,
|  | int | memberChannels = 0,
|  | int | perNotePitchbend = 48,
|  | int | masterPitchbend = 2 )
| inline

Definition at line 47 of file juce_MPEZoneLayout.h.

## Member Function Documentation

## ◆ getFirstMemberChannel()

int juce::MPEZone::getFirstMemberChannel | ( |  | ) | const
| inlinenoexcept

Definition at line 60 of file juce_MPEZoneLayout.h.

## ◆ getLastMemberChannel()

int juce::MPEZone::getLastMemberChannel | ( |  | ) | const
| inlinenoexcept

Definition at line 61 of file juce_MPEZoneLayout.h.

## ◆ getMasterChannel()

int juce::MPEZone::getMasterChannel | ( |  | ) | const
| inlinenoexcept

Definition at line 59 of file juce_MPEZoneLayout.h.

## ◆ isActive()

bool juce::MPEZone::isActive | ( |  | ) | const
| inlinenoexcept

Definition at line 57 of file juce_MPEZoneLayout.h.

## ◆ isLowerZone()

bool juce::MPEZone::isLowerZone | ( |  | ) | const
| inlinenoexcept

Definition at line 54 of file juce_MPEZoneLayout.h.

## ◆ isUpperZone()

bool juce::MPEZone::isUpperZone | ( |  | ) | const
| inlinenoexcept

Definition at line 55 of file juce_MPEZoneLayout.h.

## ◆ isUsing()

bool juce::MPEZone::isUsing | ( | int | channel | ) | const
| inlinenoexcept

Definition at line 70 of file juce_MPEZoneLayout.h.

## ◆ isUsingChannelAsMemberChannel()

bool juce::MPEZone::isUsingChannelAsMemberChannel | ( | int | channel | ) | const
| inlinenoexcept

Definition at line 64 of file juce_MPEZoneLayout.h.

## ◆ operator!=()

bool juce::MPEZone::operator!= | ( | const MPEZone & | other | ) | const
| inline

Definition at line 88 of file juce_MPEZoneLayout.h.

## ◆ operator==()

bool juce::MPEZone::operator== | ( | const MPEZone & | other | ) | const
| inline

Definition at line 83 of file juce_MPEZoneLayout.h.

## ◆ tie()

static auto juce::MPEZone::tie | ( | const MPEZone & | z | ) |
| inlinestatic

Definition at line 75 of file juce_MPEZoneLayout.h.

## Member Data Documentation

## ◆ lowerZoneMasterChannel

int juce::MPEZone::lowerZoneMasterChannel = 1
| staticconstexpr

Definition at line 94 of file juce_MPEZoneLayout.h.

## ◆ masterPitchbendRange

int juce::MPEZone::masterPitchbendRange = 2

Definition at line 101 of file juce_MPEZoneLayout.h.

## ◆ numMemberChannels

int juce::MPEZone::numMemberChannels = 0

Definition at line 99 of file juce_MPEZoneLayout.h.

## ◆ perNotePitchbendRange

int juce::MPEZone::perNotePitchbendRange = 48

Definition at line 100 of file juce_MPEZoneLayout.h.

## ◆ upperZoneMasterChannel

int juce::MPEZone::upperZoneMasterChannel = 16
| static

Definition at line 95 of file juce_MPEZoneLayout.h.

## ◆ zoneType

Type juce::MPEZone::zoneType = Type::lower

Definition at line 97 of file juce_MPEZoneLayout.h.

The documentation for this struct was generated from the following file:

- juce_MPEZoneLayout.h